[arch-commits] Commit in perl-dbd-mysql/repos (4 files)

Evangelos Foutras foutrelis at nymeria.archlinux.org
Mon May 20 15:03:06 EDT 2013


    Date: Monday, May 20, 2013 @ 21:03:06
  Author: foutrelis
Revision: 186059

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  perl-dbd-mysql/repos/staging-i686/
  perl-dbd-mysql/repos/staging-i686/PKGBUILD
    (from rev 186058, perl-dbd-mysql/trunk/PKGBUILD)
  perl-dbd-mysql/repos/staging-x86_64/
  perl-dbd-mysql/repos/staging-x86_64/PKGBUILD
    (from rev 186058, perl-dbd-mysql/trunk/PKGBUILD)

-------------------------+
 staging-i686/PKGBUILD   |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 staging-x86_64/PKGBUILD |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

Copied: perl-dbd-mysql/repos/staging-i686/PKGBUILD (from rev 186058, perl-dbd-mysql/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2013-05-20 19:03:06 UTC (rev 186059)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
+# Contributor: kevin <kevin at archlinux.org>
+# Contributor: Eric Johnson <eric at coding-zone.com>
+
+pkgname=perl-dbd-mysql
+_realname=DBD-mysql
+pkgver=4.023
+pkgrel=2
+pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
+arch=('i686' 'x86_64')
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/${_realname}/"
+depends=('libmariadbclient' 'perl-dbi')
+makedepends=('mariadb')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
+md5sums=('6ee956cf33ddce6441b36b6c1c983528')
+
+build() {
+  cd $_realname-$pkgver
+
+  # install module in vendor directories.
+  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
+  make
+}
+
+check() {
+  cd $_realname-$pkgver
+  mkdir -p /tmp/mysql_test
+  mysql_install_db \
+     --basedir=/usr \
+     --datadir=/tmp/mysql_test
+  mysqld -P 17999 \
+     --socket=/tmp/socket.mysql \
+     --datadir=/tmp/mysql_test &
+  sleep 10
+  DAEMON_PORT=$!
+  make test || true
+  kill -9 $DAEMON_PORT
+}
+
+package() {
+  cd $_realname-$pkgver
+  make install DESTDIR="$pkgdir"
+}

Copied: perl-dbd-mysql/repos/staging-x86_64/PKGBUILD (from rev 186058, perl-dbd-mysql/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2013-05-20 19:03:06 UTC (rev 186059)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
+# Contributor: kevin <kevin at archlinux.org>
+# Contributor: Eric Johnson <eric at coding-zone.com>
+
+pkgname=perl-dbd-mysql
+_realname=DBD-mysql
+pkgver=4.023
+pkgrel=2
+pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
+arch=('i686' 'x86_64')
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/${_realname}/"
+depends=('libmariadbclient' 'perl-dbi')
+makedepends=('mariadb')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
+md5sums=('6ee956cf33ddce6441b36b6c1c983528')
+
+build() {
+  cd $_realname-$pkgver
+
+  # install module in vendor directories.
+  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
+  make
+}
+
+check() {
+  cd $_realname-$pkgver
+  mkdir -p /tmp/mysql_test
+  mysql_install_db \
+     --basedir=/usr \
+     --datadir=/tmp/mysql_test
+  mysqld -P 17999 \
+     --socket=/tmp/socket.mysql \
+     --datadir=/tmp/mysql_test &
+  sleep 10
+  DAEMON_PORT=$!
+  make test || true
+  kill -9 $DAEMON_PORT
+}
+
+package() {
+  cd $_realname-$pkgver
+  make install DESTDIR="$pkgdir"
+}



More information about the arch-commits mailing list